<?php
/**
 * Class PickupPointDetails
 *
 * @package FS\InPost\PickupPoints
 */

namespace FS\InPost\PickupPoints;

/**
 * .
 */
class PickupPointDetails {

	/**
	 * @var string
	 */
	private $point_id;

	/**
	 * @var string
	 */
	private $name;

	/**
	 * @var string
	 */
	private $address_1;

	/**
	 * @var string
	 */
	private $zipcode;

	/**
	 * @var string
	 */
	private $city;

	/**
	 * @var bool
	 */
	private $payment_available;

	/**
	 * @var array
	 */
	private $type;

	/**
	 * @param string $point_id          .
	 * @param string $name              .
	 * @param string $address_1         .
	 * @param string $zipcode           .
	 * @param string $city              .
	 * @param bool   $payment_available .
	 * @param array  $type              .
	 */
	public function __construct( string $point_id, string $name, string $address_1, string $zipcode, string $city, bool $payment_available, array $type ) {
		$this->point_id          = $point_id;
		$this->name              = $name;
		$this->address_1         = $address_1;
		$this->zipcode           = $zipcode;
		$this->city              = $city;
		$this->payment_available = $payment_available;
		$this->type              = $type;
	}

	public function get_point_id(): string {
		return $this->point_id;
	}

	public function get_name(): string {
		return $this->name;
	}

	public function get_address_1(): string {
		return $this->address_1;
	}

	public function get_zipcode(): string {
		return $this->zipcode;
	}

	public function get_city(): string {
		return $this->city;
	}

	/**
	 * @return bool
	 */
	public function is_payment_available(): bool {
		return $this->payment_available;
	}

	/**
	 * @return array
	 */
	public function get_type(): array {
		return $this->type;
	}

}
